/* stylelint-disable rule-empty-line-before */
/* stylelint-disable string-quotes */
/* stylelint-disable declaration-block-trailing-semicolon */
:root {
  /** General Style */
  --root--background: #000A18;
  --profile--background: #000A18;
  --body--background: #000A18;
  --preloader-bg: #000A18;

  --background-modal: #000A18;

  --skeleton-base-color: #000A18;
  --skeleton-highlight-color: linear-gradient(90deg, rgb(27 25 40 / 26%), rgb(20 19 30 / 70%), rgb(27 25 40 / 55%));

  /* * Forms */
  --auth-forms-title-color: #fff;
  --auth-forms-bg: transparent;
  --btn--roulette-section__link-site__bg: transparent;
  --auth-forms-border: unset;
  --auth-forms-shadow: unset;

  --auth-forms__socialtitle-color: #fff;

  --auth-forms__button-success-bg: #19D1F5;
  --auth-forms__button-success-color: #0B203D;

  --auth-forms__button-forgot-bg: transparent;
  --auth-forms__button-forgot-color: #fff;

  --auth-forms__button-reg-color: #fff;
  --auth-forms__button-reg-bg: rgb(63 189 83);

  --auth-forms__input-bg: #03142B;
  --auth-forms__tab-active-bg: #19D1F5;
  --auth-forms__tab-second-bg: #03142B;

  --auth-forms__tab-active-border: unset;
  --auth-forms__tab-second-border: unset;
  --auth-forms__input-height: 50px;
  --auth-forms__input-placeholder-color: #4E5A6A;


  /* * Verification */
  --verification-popup-bg: transparent;
  --verification-bg: #2b2740;
  --verification-shadow: none;

  --verification__content-title: #fff;
  --verification__content-text: #fff;

  --verification__button__send-color: #fff;
  --verification__button__send-bg: rgb(3 189 113);

  --verification__input-bg: rgb(217, 217, 217);
  --verification__input-color: #000;
  --verification__input-border: 1px solid transparent;
  --verification__input-border-active: 1px solid #4096ff;
  --verification__input-placeholder: rgba(121, 121, 121, 1);

  --verification__input-disable-bg: rgba(239, 239, 239, 0.3);
  --verification__input-disable-color: rgb(170, 170, 170);
  --verification__input-disable-border: 1px solid rgba(118, 118, 118, 0.3);

  --bonus-title-color:#fff;
  --bonus-win-color: #F9D679;
  --bonus-border: 2px solid #57bef8;
  --bonus-background: linear-gradient(180deg, #2071ac 0%, #090813 100%);
  --bonus-shadow: 0 3px 40px 0 rgb(64 121 176);
  --bonus-color: #fff;

  --cross-color: transparent;
  --cross-shadow:  transparent;

  --react-international-phone-flag-height: auto;
  --react-international-phone-flag-width: 22px;
  --reg-banner-bg: #000E20;
  --reg-banner-bg-blur: #1EA9C4;
}

.auth-form_field .label,
.roulette-section .show-form .roulette-section__link svg,
.auth-form-terms svg,
.roulette-section .show-form .logo {
  display: none !important;
}

.show-form.modal-form {
  display: flex;
  flex-direction: column;
  max-width: 478px !important;
  width: 100% !important;
  font-family: "Rubik", sans-serif !important;
}

.show-form.modal-form::before,
.show-form.modal-form::after {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #fff;
}

.show-form.modal-form::before {
  content: 'Sign Up Account';
  font-size: 28px;
  line-height: 40px;
  order: -2;
}

.show-form.modal-form::after {
  content: 'Enter your personal data to create your account.';
  font-size: 16px;
  line-height: 24px;
  opacity: .8;
  order: -1;
}

.roulette-section .show-form_content {
  padding: unset !important;
  margin-bottom:  unset !important;
}

.show-form.modal-form .auth-form-tabs .tab__nav {
  margin-bottom: 16px;
}

.show-form.modal-form .auth-form-tabs .tab__nav .name {
  min-height: 50px;
  border-radius: 16px;
  font-size: 16px;
  font-weight: 500;
}

.show-form.modal-form .auth-form-tabs .tab__nav .name.active {
  color: #0B203D;
}

.roulette-section .show-form .auth-form {
  --width-form: 475px;
}

.auth-form_field .InputPassword .ant-input {
  max-height: 50px;
  height: 50px;
  padding-left: 41px !important;
  border-radius: 16px !important;
  box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 5%);
  font-family: "Rubik", sans-serif !important;
  font-size: 14px !important;
  line-height: 20px !important;
  font-weight: 400 !important
}

.roulette-section .auth-form_field .ant-input-password {
  background: none !important;
  height: 50px;
  max-height: 50px;
  border-radius: 16px;
  box-shadow: unset;
}

.roulette-section .auth-form_field .ant-input-password input:focus {
  box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 5%) !important;
}

.auth-form_field .InputPassword::before {
  content: '';
  display: flex;
  align-items: center;
  justify-content: center;
  width: 16px;
  height: 16px;
  position: absolute;
  z-index: 2;
  top: 17px;
  left: 15px;
}

.auth-form_field .InputPassword:has([name="email"])::before {
  background: url("images/icons/email.svg");
}

.auth-form_field .InputPassword:has([name="name"])::before {
  background: url("images/icons/name.svg");
}

.auth-form_field .InputPassword:has([name="password"])::before {
  background: url("images/icons/password.svg");
}

.auth-form_field .InputPassword .input .ant-input-password-icon {
  width: 20px;
  height: 20px;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
}

.auth-form_field .InputPassword .input .ant-input-password-icon:hover,
.auth-form_field .InputPassword .input .ant-input-password-icon:active {
  background: rgba(255, 255, 255, 5%);
}

.auth-form_field .InputPassword .input svg {
  width: 16px;
  height: 16px;
  color: #4E5A6A;
}

.react-international-phone-input-container .react-international-phone-input {
  border-radius: 0 16px 16px 0 !important;
  box-shadow: inset 0 1px 0 rgba(255,255,255,.05), inset 0 -1px 0 rgba(255,255,255,.05), inset -1px 0 0 rgba(255,255,255,.05) !important;
  font-size: 14px !important;
  line-height: 22px !important;
  font-weight: 500 !important;
  padding: 0 12px !important;
  font-family: "Rubik", sans-serif !important;
}

.react-international-phone-input-container .react-international-phone-country-selector,
.react-international-phone-input-container .react-international-phone-country-selector > button {
  border-radius: 16px 0 0 16px !important;
}

.react-international-phone-input-container .react-international-phone-country-selector > button {
  background: transparent !important;
  box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 5%) !important;
  border: unset !important;
  width: 70px;
}

.react-international-phone-country-selector-button__dropdown-arrow {
  border: unset !important;
}

.react-international-phone-country-selector-button__dropdown-arrow::before {
  content: '';
  width: 20px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url("images/arrow.svg");
}

.react-international-phone-flag-emoji {
  margin-right: 6px !important;
}

.auth-form_field {
  margin-bottom: 15px !important;
}

.auth-form_field:has([name="password"])::after {
  content: '*Minimum length is 6 characters';
  color: #fff;
  font-size: 14px;
  line-height: 20px;
  font-weight: 400;
  display: flex;
  margin-top: 8px;
}

.auth-form .auth-form_buttons {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.auth-form .auth-form_buttons .submit-button {
  height: 50px !important;
}

.auth-form .auth-form_buttons .submit-button-disabled {
  background: var(--auth-forms__button-success-bg) !important;
  border-radius: 16px !important;
  max-width: 350px;
  font-size: 16px !important;
  line-height: 24px !important;
  font-weight: 600 !important;
}

.roulette-section .show-form .roulette-section__link {
  border: unset !important;
  display: flex !important;
  flex-wrap: unset !important;
  flex-flow: unset !important;
  align-items: center;
  justify-content: center;
}

.roulette-section__link span{
  font-size: 14px !important;
  line-height: 20px !important;
  font-weight: 400 !important;
  font-family: "Rubik", sans-serif !important;
}

.roulette-section__link span:first-of-type {
  color: rgba(255, 255, 255, 50%) !important;
}

.roulette-section__link span:last-of-type {
  color: #19D1F5 !important;
}

.auth-form-terms .checkbox {
  width: 24px !important;
  height: 24px !important;
  margin-right: 10px !important;
}

.auth-form .ant-checkbox .ant-checkbox-inner {
  background: #03142B !important;
  border-color: #03142B !important;
  width: 24px !important;
  height: 24px !important;
  border-radius: 8px !important;
}

.auth-form .ant-checkbox-checked .ant-checkbox-inner:after {
  width: 8px;
  height: 14px;
  border: 2px solid #000E1C;
  border-top: 0;
  border-inline-start: 0;
}

.auth-form .ant-checkbox-checked:after {
  border: unset !important
}

.auth-form .ant-checkbox-wrapper:not(.ant-checkbox-wrapper-disabled):hover .ant-checkbox-checked:not(.ant-checkbox-disabled):after,
.auth-form .ant-checkbox:not(.ant-checkbox-disabled):hover .ant-checkbox-inner {
  border-color: #19D1F5 !important;
}

.auth-form .ant-checkbox-wrapper:not(.ant-checkbox-wrapper-disabled):hover .ant-checkbox-inner {
  border-color: #03142B !important;
}

.auth-form .ant-checkbox-wrapper:not(.ant-checkbox-wrapper-disabled):hover .ant-checkbox-checked:not(.ant-checkbox-disabled) .ant-checkbox-inner,
.auth-form .ant-checkbox-checked .ant-checkbox-inner {
  background: #19D1F5 !important;
  border-color: #19D1F5 !important;
}

.auth-form-terms {
  font-size: 14px !important;
  line-height: 20px !important;
}

.auth-form-terms > span {
  height: 24px;
}

.auth-form-terms a {
  text-decoration: none !important;
  color: #19D1F5 !important;
}

.react-international-phone-country-selector-dropdown {
  background-color: #000E20 !important;
}

@media (max-width: 1100px) {
  .modal-wrapper {
    position: relative !important;
    display: flex !important;
    width: 100% !important;
    height: 100% !important;
    align-items: center;
    justify-content: center;
    transform: unset !important;
    top: unset !important;
    bottom: unset !important;
    left: unset !important;
    right: unset !important;
  }

  .modal-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    background: linear-gradient(to bottom, rgba(30, 169, 196, 10%) 0%, transparent 60%);
    width: 100%;
    height: 100%;
  }

  .modal-wrapper::after {
    content: '';
    position: absolute;
    top: 48px;
    left: 0;
    right: 0;
    margin: auto;
    background: url("logo.png");
    width: 174px;
    height: 36px;
  }
}

@media (max-width: 991px) {
  .modal-wrapper::after {
    width: 112px;
    height: 23px;
    background-size: 100% 100%;
  }

  .show-form.modal-form::before {
    font-size: 24px;
  }

  .show-form.modal-form::after {
    font-size: 14px;
  }

  .modal-wrapper {
    padding: 20px;
  }

  .roulette-section .show-form {
    padding: 0 16px !important;
    overflow: auto;
  }
}

@media (max-width: 991px) and (orientation: landscape) {
  .modal-wrapper::after {
    top: 24px;
  }

  .roulette-section .show-form {
    height: 100%;
    margin-top: 120px !important;
    padding-bottom: 120px !important;
  }
}
